--- title: "Manage Object Storage documents" slug: "analytics-cloudsearch-manageobjectstoragedocument" updated: 2026-09-17T09:48:05Z published: 2026-09-17T09:48:05Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-manageobjectstoragedocument" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Manage Object Storage documents **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** With Object Storage, you can upload large documents (up to 100 MB). Please see [Document Management](/docs/en/analytics-cloudsearch-managedocument) for a detailed description of the document. - Documents containing BOM (Byte Order Mark) can not be uploaded. - **If autocomplete is enabled, you should update autocomplete indexes by using [Enable and edit autocomplete](/docs/en/analytics-cloudsearch-putautocomplete) after this operation is performed.** ``` POST https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/document/manage/object_storage ``` ## Request ### Request Parameters | Parameter | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | name | Y | string | | Domain name | ### Request Body | Field | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | bucket | Yes | string | | The name of the bucket where the document to upload is located | | objectPath | Yes | string | | The path of the document to upload | | region | Yes | string | "kr", "us", "sg", "jp", "de" | Bucket region information | | pruning | Yes | boolean | | Whether or not to delete the existing indexed document (if true, delete the existing indexed documents and index the requested document) | ### Response status | HTTP status | Description | | --- | --- | | 200 | OK (Successfully requested) | | 400 | Bad Request | | 401 | Unauthorized, There is no authorization to read the object file | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request Example ``` POST /CloudSearch/real/v1/domain/car/document/manage/object_storage HTTP/1.1 Host:cloudsearch.apigw.ntruss.com accept:application/json x-ncp-apigw-signature-v2: cDwtHuQeGmwWyNmwlN6XIGA66zge4iMXvfoDQNna05g= x-ncp-apigw-timestamp: 1545817618751 x-ncp-iam-access-key: teGTwtcSEGA7fu28BGGi { "bucket": "my-test", "objectPath": "doc/car_upsert.json", "region": "kr", "pruning": false } ``` ### Response Example ``` {"result":"ok"} ```